clang-tools 8.0.0

Classes | Public Member Functions | List of all members
clang::tidy::fuchsia::RestrictedIncludesPPCallbacks Class Reference
Inheritance diagram for clang::tidy::fuchsia::RestrictedIncludesPPCallbacks:
[legend]
Collaboration diagram for clang::tidy::fuchsia::RestrictedIncludesPPCallbacks:
[legend]

## Public Member Functions
| RestrictedIncludesPPCallbacks (RestrictSystemIncludesCheck &Check, SourceManager &SM)
void | InclusionDirective (SourceLocation HashLoc, const Token &IncludeTok, StringRef FileName, bool IsAngled, CharSourceRange FilenameRange, const FileEntry *File, StringRef SearchPath, StringRef RelativePath, const Module *Imported, SrcMgr::CharacteristicKind FileType) override
void | EndOfMainFile () override

## Detailed Description

Definition at line 24 of file RestrictSystemIncludesCheck.cpp.

## Constructor & Destructor Documentation

## ◆ RestrictedIncludesPPCallbacks()

clang::tidy::fuchsia::RestrictedIncludesPPCallbacks::RestrictedIncludesPPCallbacks | ( | RestrictSystemIncludesCheck & | Check,
|  | SourceManager & | SM
| ) |  |
| inline explicit

Definition at line 26 of file RestrictSystemIncludesCheck.cpp.

References EndOfMainFile(), Filename, FileName, InclusionDirective(), IsAngled, Loc, and Range.

## Member Function Documentation

## ◆ EndOfMainFile()

void clang::tidy::fuchsia::RestrictedIncludesPPCallbacks::EndOfMainFile | ( |  | ) |
| override

Definition at line 77 of file RestrictSystemIncludesCheck.cpp.

References D.

Referenced by RestrictedIncludesPPCallbacks().

## ◆ InclusionDirective()

void clang::tidy::fuchsia::RestrictedIncludesPPCallbacks::InclusionDirective | ( | SourceLocation | HashLoc,
|  | const Token & | IncludeTok,
|  | StringRef | FileName,
|  | bool | IsAngled,
|  | CharSourceRange | FilenameRange,
|  | const FileEntry * | File,
|  | StringRef | SearchPath,
|  | StringRef | RelativePath,
|  | const Module * | Imported,
|  | SrcMgr::CharacteristicKind | FileType
| ) |  |
| override

Definition at line 60 of file RestrictSystemIncludesCheck.cpp.

Referenced by RestrictedIncludesPPCallbacks().

The documentation for this class was generated from the following file:

- RestrictSystemIncludesCheck.cpp